Macro Align Working Plane to Camera

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
English • ‎français • ‎italiano

Generic macro icon. Create your personal icon with the same name of the macro Macro Align Working Plane to Camera

Description
This macro moves the current Draft Working Plane to the center of the current view
Author
yorik
Links
Macros recipes
How to install macros
How to customize toolbars
Version
1.0
Date last modification
2017-05-10
Default shortcut
None
See also
None


Description

This macro moves the current Draft Working Plane to the center of the current view. It is useful when you are working quite far from the grid center.

How to use

  • Move the view to the zone where you want to look at
  • Run the macro

Script

Macro_Align_Working_Plane_to_Camera.FCMacro

import FreeCAD,FreeCADGui
cam = FreeCAD.Vector(FreeCADGui.ActiveDocument.ActiveView.getCameraNode().position.getValue().getValue())
pos = FreeCAD.DraftWorkingPlane.projectPoint(cam)
FreeCAD.DraftWorkingPlane.position = pos
FreeCADGui.Snapper.setGrid()